#language: ru

@CheckingTransferOrders

Функционал: 002. CheckingTransferOrders. Дозаполнение данных для номенклатуры

Сценарий: 002.1. CheckingTransferOrders. Заполнение единиц измерения

	Дано Я подключаюсь под "Ведение номенклатуры"
	Дано я устанавливаю текущему сеансу заголовок приложения "12.002. Проверки заказов на перемещение"
	И Я заполняю константы Единицы измерения

Сценарий: 002.2. CheckingTransferOrders. Создание упаковок

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	Когда я нажимаю на кнопку 'Наборы упаковок'
	Тогда я жду открытия окна 'Наборы упаковок' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'Набор упаковок для сыров' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Набор упаковок для сыров (Набор упаковок)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Упаковки'
	* Создание упаковки для Ашана
		И Я начинаю создавать упаковку
		И я нажимаю кнопку выбора у поля "Единица по классификатору"
		Тогда открылось окно 'Выберите единицу измерения'
		И я нажимаю на кнопку 'Подобрать из классификатора'
		Тогда открылось окно 'Классификатор единиц измерения'
		И в таблице "ДеревоКлассификатора" я перехожу к строке:
			| 'Наименование' |
			| 'Упаковка'     |
		И в таблице "ДеревоКлассификатора" я изменяю флаг 'Выбран'
		И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
		И я нажимаю на кнопку 'ОК'
		Тогда открылось окно 'Выберите единицу измерения'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Упаковки и единицы измерения (создание) *'
		И Я заканчиваю создавать упаковку "упак (5 кг) (Ашан)" с числителем "5,125" и весом брутто "5,125"
	* Создание упаковки для 5ки
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (2.5 кг) 5ка" с числителем "2,512" и весом брутто "2,512"
	* Создание упаковки для Перекрестка
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (1.5 кг) Перекресток" с числителем "1,512" и весом брутто "2,123"
	* Создание упаковки для Немаркированной продукции в 1 кг
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (1 кг)" с числителем "1,123" и весом брутто "1,123"
	* Создание упаковки для Немаркированной продукции в 0.5 кг
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (0.5 кг)" с числителем "0,512" и весом брутто "1,123"
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И Я закрываю окно 'Набор упаковок для сыров (Набор упаковок)'
	И я жду закрытия окна 'Набор упаковок (создание) *' в течение 20 секунд
	Тогда открылось окно 'Наборы упаковок'
	И Я закрываю окно 'Наборы упаковок'
	Тогда открылось окно 'Классификаторы номенклатуры'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: 002.3. CheckingTransferOrders. Создание серий номенклатуры

	Дано я удаляю объекты "Справочники.к2СерииНоменклатуры" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда я жду открытия окна 'Номенклатура' в течение 20 секунд
	* Установка признака сезонной продажи для подложки куринных крыльев
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'               |
			| 'Крылья куринные (подложка)' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Крылья куринные (подложка) (Номенклатура)'
		И я перехожу к закладке "Продажи"
		И я устанавливаю флаг 'Продается сезонно'
		И в поле 'Дата ввода в продажу' я ввожу текст '01.01.2019'
		И в поле 'Дата вывода из продажи' я ввожу текст '01.03.2020'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Крылья куринные (подложка) (Номенклатура) *' в течение 20 секунд
		Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: 002.4. CheckingTransferOrders. Установка упаковок для номенклатур

	Дано я удаляю все элементы таблицы "РегистрСведений.к2УпаковкиХарактеристик"
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	Когда я нажимаю на кнопку 'Упаковки характеристик'
	Тогда я жду открытия окна 'Упаковки характеристик' в течение 20 секунд
	И Я фиксирую упаковку "упак (5 кг) (Ашан)" для номенклатуры "Сыр Адыгейский" с характеристикой "Ашан"
	И Я фиксирую упаковку "упак (2.5 кг) 5ка" для номенклатуры "Сыр Адыгейский" с характеристикой "5ка"
	И Я фиксирую упаковку "упак (1.5 кг) Перекресток" для номенклатуры "Сыр Адыгейский" с характеристикой "Перекресток"
	И Я фиксирую упаковку "упак (5 кг) (Ашан)" для номенклатуры "Сыр Пошехонский" с характеристикой "Ашан"
	И Я фиксирую упаковку "упак (2.5 кг) 5ка" для номенклатуры "Сыр Пошехонский" с характеристикой "5ка"
	И Я фиксирую упаковку "упак (1.5 кг) Перекресток" для номенклатуры "Сыр Пошехонский" с характеристикой "Перекресток"
	И Я фиксирую упаковку "упак (5 кг) (Ашан)" для номенклатуры "Сыр Костромской" с характеристикой "Ашан"
	И Я фиксирую упаковку "упак (2.5 кг) 5ка" для номенклатуры "Сыр Костромской" с характеристикой "5ка"
	И Я фиксирую упаковку "упак (1.5 кг) Перекресток" для номенклатуры "Сыр Костромской" с характеристикой "Перекресток"
	И Я закрываю окно 'Упаковки характеристик'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: 002.5. CheckingTransferOrders. Завершение

	И я закрываю сеанс TESTCLIENT